#
# spec file for package python-python-args
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-python-args
Version:        1.0.2
Release:        1.18
Summary:        Python argument design patterns in a composable interface
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/jyveapp/python-args
Source:         https://files.pythonhosted.org/packages/source/p/python-args/python-args-%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python argument design patterns in a composable interface.

%prep
%setup -q -n python-args-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Sat Aug 22 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.0.2
